# $Revision: 1.4 $, $Date: 2002/06/23 18:35:29 $
Summary:	Theme based on StarTrek LCARS console
Summary(pl):	Temat bazujcy na konsoli komputerw z serialu StarTrek
Name:		mozilla-theme-LCARStrek
%define		_realname	LCARStrek
Version:	1.0.rc2
%define	fver	%(echo %{version} | tr -d .)
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://downloads.mozdev.org/themes/%{_realname}%{fver}.jar
Source1:	%{_realname}-installed-chrome.txt
URL:		http://www0.mozdev.org/themes/skins/lcarstrek.html
BuildRequires:	unzip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
Theme based on StarTrek LCARS console.

%description -l pl
Temat bazujcy na wygldzie konsol komputerw z serialu StarTrek.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%post 
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-theme-LCARStrek.spec,v $
Revision 1.4  2002/06/23 18:35:29  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.3  2002/06/23 17:17:37  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:40  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/21 18:55:28  jojoro
- initial release
